%define anolis_release 1

%define glib2_version                  2.56.0
%define gobject_introspection_version  1.56.0
%define pycairo_version                1.16.0
%define python3_version                3.8

Name:           pygobject3
Version:        3.44.1
Release:        %{anolis_release}%{?dist}
Summary:        Python bindings for GObject Introspection

License:        LGPLv2+ and MIT
URL:            https://wiki.gnome.org/Projects/PyGObject
Source0:        https://download.gnome.org/sources/pygobject/3.44/pygobject-%{version}.tar.xz

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(libffi) >= 3.0
BuildRequires:  pkgconfig(py3cairo) >= %{pycairo_version}
BuildRequires:  meson >= 0.53.0
BuildRequires:  python3-devel >= %{python3_version}
BuildRequires:  python3-setuptools

%description
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

%package     -n python3-gobject
Summary:        Python 3 bindings for GObject Introspection
Requires:       python3-gobject-base = %{version}-%{release}
# The cairo override module depends on this
Requires:       python3dist(pycairo) >= %{pycairo_version}

%description -n python3-gobject
The python3-gobject package provides a convenient wrapper for the GObject 
library and and other libraries that are compatible with GObject Introspection, 
for use in Python 3 programs.

%package     -n python3-gobject-base
Summary:        Python 3 bindings for GObject Introspection base package
Requires:       gobject-introspection >= %{gobject_introspection_version}

%description -n python3-gobject-base
This package provides the non-cairo specific bits of the GObject Introspection
library.

%package doc
Summary:        Documentation files for %{name}
Requires:       python3-gobject-base = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package     -n python3-gobject-devel
Summary:        Development files for embedding PyGObject introspection support
Requires:       python3-gobject = %{version}-%{release}
Requires:       gobject-introspection-devel
Obsoletes:      pygobject3-devel < 3.34.0-2
Provides:       pygobject3-devel = %{version}-%{release}

%description -n python3-gobject-devel
This package contains files required to embed PyGObject

%prep
%autosetup -n pygobject-%{version} -p1

%build
%meson -Dpython=%{__python3}
%meson_build

%install
%meson_install

%files -n python3-gobject
%{python3_sitearch}/gi/_gi_cairo*.so

%files -n python3-gobject-base
%license COPYING
%exclude %{python3_sitearch}/gi/_gi_cairo*.so
%{python3_sitearch}/gi/
%{python3_sitearch}/PyGObject-*.egg-info
%{python3_sitelib}/gi/
%{python3_sitelib}/pygtkcompat/

%files doc
%doc NEWS

%files -n python3-gobject-devel
%dir %{_includedir}/pygobject-3.0/
%{_includedir}/pygobject-3.0/pygobject.h
%{_libdir}/pkgconfig/pygobject-3.0.pc

%changelog
* Sat Mar 25 2023 Funda Wang <fundawang@yeah.net> - 3.44.1-1
- New version 3.44.1

* Tue Sep 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.42.2-1
- update to 3.42.2

* Thu Mar 10 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 3.42.0-1
- Init version from upstream v3.42.0
